Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
module "ext_editor" lua
#1
Bonjour à tous,
je suis en train d'explorer le monde de lua....
j'ai installé qqs script avec succès mais je bute sur un module qui me semble très utile; le lancement d'éditeurs externe. En effet j'utilise Affinity Photo pour les retouches (DT pour le développement) et lancer directement depuis DT pourrait me faire gagner pas mal de temps dans mon wf.
Quelqu'un a-t-il déjà instalé ce module sous DT 3.4?
Lorsque j'exporte vers "collection" j'ai bien un message comme quoi une exportation est en cours, la fenêtre "cmd" de windows s'ouvre 2 fois et je termine par un message d'erreur
"error moving file: c:\User\......\Temp\file.tif"

Merci pour toute aide
bonne journée
Michel Fiocchi DT3.4.0/windows 10
https://www.flickr.com/photos/michel_fiocchi/
Répondre
#2
J'ai un peu regardé les scripts Lua mais sous Linux et je ne suis pas sûr qu'il fonctionne tous sous Windows et je ne peux pas vérifier. Il faut peut être adapter les commandes. Après il y a plus scripts qui ne sont plus fonctionnels depuis plusieurs versions de darktable.
Tu peux essayer le script Gimp et voir s'il fonctionne et t'en inspirer !
Répondre
#3
(16-02-21, 14:36)jpg54 a écrit : J'ai un peu regardé les scripts Lua mais sous Linux et je ne suis pas sûr qu'il fonctionne tous sous Windows et je ne peux pas vérifier. Il faut peut être adapter les commandes. Après il y a plus scripts qui ne sont plus fonctionnels depuis plusieurs versions de darktable.
Tu peux essayer le script Gimp et voir s'il fonctionne et t'en inspirer !

merci bien pour ce retour,
mais il a fonctionné sous DT 3.0....
 je regarde le script Gimp
Michel Fiocchi DT3.4.0/windows 10
https://www.flickr.com/photos/michel_fiocchi/
Répondre
#4
C'est possible que le script fonctionnait en version 3.0 et avec l'évolution ne fonctionne pas. Je suis les scripts proposés sur http://www.multimedia4linux.de mais les excellents enfuse_pro et pano_pro ne fonctionne plus et je n'ai pas vu de mises à jour. Je n'ai pas essayé d'aller voir pourquoi ?
Répondre
#5
(17-02-21, 08:11)jpg54 a écrit : C'est possible que le script fonctionnait en version 3.0 et avec l'évolution ne fonctionne pas. Je suis les scripts proposés sur http://www.multimedia4linux.de mais les excellents enfuse_pro et pano_pro ne fonctionne plus et je n'ai pas vu de mises à jour. Je n'ai pas essayé d'aller voir pourquoi ?

j'ai trouvé le problème  Wink ..... dans le path du fichier destination il y avait un "é" et visiblement l'environnement lua+DT ne prend pas les accents.... j'ai remplacé par un "e" et tout fonctionne
encore merci pour le temps consacré
Michel Fiocchi DT3.4.0/windows 10
https://www.flickr.com/photos/michel_fiocchi/
Répondre
#6
C'est le gros problème avec ces lettres accentuées, j'ai absolument banni l'accentuation des des lettres pour les noms de fichiers notamment dans les échanges entre Linux et Windows itou pour certains caractères spéciaux.
J'ai du me faire violence pour ne pas utiliser les lettres accentuées.
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)